device_type: lpcxpresso55s69
job_name: lpcxpresso55s69 Health Check

timeouts:
  job:
    minutes: 24
  action:
    minutes: 15
  actions:
    power-off:
      minutes: 5
  connections:
    lava-test-monitor:
      minutes: 15

priority: medium
visibility: public


actions:
    - deploy:
        timeout:
          minutes: 12
        to: flasher
        images:
          tarball:
            url: https://images.validation.linaro.org/people.linaro.org/~arthur.she/images/tf/lpc55s69/health-check/lpcxpresso55s69-tfm.tar.bz2

    - boot:
        method: minimal

    - test:
        monitors:
        - name: "TF-M_Boot_Test"
          start: "Non-Secure system"
          end: "starting\\.{3}"
          pattern: "Non-Secure system starting\\.{3}"
          fixupdict:
              '!': pass
              '': fail
